Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class ServantRetentionPolicyValue

    java.lang.Object
      org.omg.PortableServer.ServantRetentionPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class ServantRetentionPolicyValue

extends Object
implements IDLEntity

ServantRetentionPolicyValue can have the following values. RETAIN - to indicate that the POA will retain active servants in its Active Object Map. NON_RETAIN - to indicate Servants are not retained by the POA. If no ServantRetentionPolicy is specified at POA creation, the default is RETAIN.

Field Summary
`static int` | `_NON_RETAIN`
`static int` | `_RETAIN`
`static ServantRetentionPolicyValue` | `NON_RETAIN`
`static ServantRetentionPolicyValue` | `RETAIN`

Constructor Summary
`protected` | `ServantRetentionPolicyValue(int value)`

Method Summary
`static ServantRetentionPolicyValue` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _RETAIN

    public static final int _RETAIN

See Also:
  Constant Field Values

### RETAIN

    public static final ServantRetentionPolicyValue RETAIN

### _NON_RETAIN

    public static final int _NON_RETAIN

See Also:
  Constant Field Values

### NON_RETAIN

    public static final ServantRetentionPolicyValue NON_RETAIN

Constructor Detail

### ServantRetentionPolicyValue

    protected ServantRetentionPolicyValue(int value)

Method Detail

### value

    public int value()

### from_int

    public static ServantRetentionPolicyValue from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.